Create RPM package for smart_proxy_realm_ad_plugin
Pull request:

Description

Would it be possible to incorporate the Smart-Proxy Realm Provider for Active Directory as a ready to go RPM package. So it can be

installed via the foreman installer (easily on offline systems).
https://projects.theforeman.org/issues/4917
https://github.com/theforeman/smart_proxy_realm_ad_plugin

Associated revisions

Revision f2bd0a6f - 01/04/2018 12:30 PM - Timo Goebel

add smart_proxy_realm_ad_plugin 0.1

History

#1 - 04/03/2019 05:05 AM - Jens Kofoed

- Description updated

#2 - 04/03/2019 02:30 PM - Lukas Zapletal

- Status changed from New to Need more information

Doesn't need this plugin to be deployed on Smart Proxy running on Windows? How useful RPM package will be on that platform then?

#3 - 04/03/2019 03:42 PM - Jens Kofoed

The smart proxy which is allready made: https://github.com/theforeman/smart_proxy_realm_ad_plugin

Is for a Linux server and connect to the Windows DC and interact with the active directory.

It can be installed on the Katello/foreman server directly.

So no need for programming a complete new proxy to be installed on a windows server when a proxy is already made.

The only request is to make it more easier to install.

#4 - 04/04/2019 10:17 AM - Lukas Zapletal

- Project changed from Smart Proxy to Packaging

- Subject changed from Incorporate Smart-Proxy Realm Provider for Active Directory as a Ready2Go RPM package to Create RPM package for

smart_proxy_realm_ad _plugin
- Status changed from Need more information to New

- Triaged changed from No to Yes

Okay moving to packaging project.

#5 - 04/04/2019 12:13 PM - Ewoud Kohl van Wijngaarden
The steps would roughly be:

GEM_NAME="smart_proxy_realm_ad"
git checkout -b rpm/develop-add-$GEM_NAME

./add_gem_package.sh $GEM_NAME smart_proxy_plugin foreman-plugins-nonscl-nightly-rhel?7

./add_host.py plugin_nonscl_packages rubygem-$GEM_NAME
git add package_manifest.yaml
git commit --amend --no-edit
git push -u SUSER HEAD

hub pull-request -b rpm/develop

One thing to note is that https:/github.com/theforeman/smart_proxy realm_ad_plugin#building mentions you need to add gems, but the gemspec
mentions 2 out of 3. For rkberberos it doesn't mention the minimum version. That should be fixed because the packaging process assumes the
gemspec is complete.

#6 - 03/25/2020 02:24 PM - Ewoud Kohl van Wijngaarden
- Category set to RPMs

- Status changed from New to Closed

This was actually already done about 2 years ago in f2bd0a6fa6d92911cce646a82f1b6234dc132d6a
